test_def.h File Reference
`#include <msgpack/predef.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Classes

struct | predef_info

## Macros

#define | MSGPACK_PREDEF_INTERNAL_GENERATE_TESTS
#define | MSGPACK_PREDEF_DECLARE_TEST(x, s) void predef_entry_##x() { add_predef_entry(#x, s, x) }
#define | MSGPACK_PREDEF_DECLARE_TEST(x, s) predef_entry_##x()

## Functions

void * | add_predef_entry (const char *name, const char *description, unsigned value) void create_predef_entries()

## Macro Definition Documentation

## MSGPACK_PREDEF_DECLARE_TEST [1/2]

#define MSGPACK_PREDEF_DECLARE_TEST | ( |  | x,
|  |  | s
| ) |  | void predef_entry_##x() { add_predef_entry(#x, s, x) }

## MSGPACK_PREDEF_DECLARE_TEST [2/2]

#define MSGPACK_PREDEF_DECLARE_TEST | ( |  | x,
|  |  | s
| ) |  | predef_entry_##x()

## MSGPACK_PREDEF_INTERNAL_GENERATE_TESTS

#define MSGPACK_PREDEF_INTERNAL_GENERATE_TESTS

## Function Documentation

## add_predef_entry()

void* add_predef_entry | ( | const char * | name,
|  | const char * | description,
|  | unsigned | value
| ) |  |